<?php

// Definisikan feedback404() jika belum ada
function feedback404() {
    header("HTTP/1.0 404 Not Found");
    echo "404 Not Found";
    // Anda juga bisa memasukkan halaman kustom 404 di sini
}

// Baca file list.txt
$filename = "list.txt";
$lines = file($filename, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);

foreach ($lines as $target_string) {
    $target_string = strtolower($target_string);
    $BRAND = strtolower($target_string);

    // Buat path direktori dan file index.html
    $folderPath = __DIR__ . "/$BRAND";
    $filePath = $folderPath . "/index.html";

    // Cek apakah direktori sudah ada, jika tidak maka buat direktori tersebut
    if (!is_dir($folderPath)) {
        if (!mkdir($folderPath, 0777, true)) {
            // Jika gagal membuat direktori, tampilkan pesan error dan lanjutkan ke item berikutnya
            error_log("Failed to create directory: $folderPath");
            continue;
        }
    }

    // Include file template.php dan ambil outputnya
    ob_start(); // Mulai buffer output
    include 'template.php';
    $html_content = ob_get_clean(); // Ambil konten dari buffer output dan bersihkan buffer

    // Tulis konten ke dalam file index.html
    if (file_put_contents($filePath, $html_content) === false) {
        // Jika gagal menulis file, tampilkan pesan error
        error_log("Failed to write file: $filePath");
    }
}

// Set timezone dan tampilkan pesan selesai
date_default_timezone_set('Asia/Jakarta');
$currentTime = date('Y-m-d\TH:i:sP');
echo "FILES DONE CREATED!";
?>
